@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&family=Montserrat:wght@400;500;600;700&display=swap');
// https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap

// Bulma
@import "./common/variables";
@import "bulma/bulma.sass";

// Notifications
@import "./common/notifications";

// Progress bar
@import "./common/progress";

// Calendar
@import "../../../node_modules/vanillajs-datepicker/sass/datepicker-bulma.scss";

.is-fullheight {
	height: 100%;
}

.is-size-small {
  font-size: .875rem;
}

.field {
  position: relative;
  .label.on-border {
    font-size: .875rem;
    line-height: .75rem;
    position: absolute;
    top: calc(.75rem / -2);
    left: .5rem;
    z-index: 2;
    background: #fff;
  }
}

.datepicker-cell.range-end:not(.selected),
.datepicker-cell.range-start:not(.selected) {
  color: $text;
}

.is-expanded {
  width: 100%;
  .select, select {
    width: 100%;
  }
}

.click {
  cursor: pointer;
}

.v-enter-active,
.v-leave-active {
  transition: opacity .2s ease;
}

.v-enter-from,
.v-leave-to {
  opacity: 0;
}